Bug 242366 - policy prevents Logwatch from accessing Samba logs
policy prevents Logwatch from accessing Samba logs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-03 14:30 EDT by Alvin Thompson
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 10:09:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alvin Thompson 2007-06-03 14:30:56 EDT
Summary
    SELinux is preventing /bin/cat (logwatch_t) "read" to log.smbd
    (samba_share_t).

Detailed Description
    SELinux denied access requested by /bin/cat. It is not expected that this
    access is required by /bin/cat and this access may signal an intrusion
    attempt. It is also possible that the specific version or configuration of
    the application is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for log.smbd, restorecon -v log.smbd
    If this does not work, there is currently no automatic way to allow this
    access. Instead,  you can generate a local policy module to allow this
    access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you
    can disable SELinux protection altogether. Disabling SELinux protection is
    not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                system_u:system_r:logwatch_t
Target Context                system_u:object_r:samba_share_t
Target Objects                log.smbd [ file ]
Affected RPM Packages         coreutils-6.9-2.fc7 [application]
Policy RPM                    selinux-policy-2.6.4-8.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   plugins.catchall_file
Host Name                     io
Platform                      Linux io 2.6.21-1.3194.fc7 #1 SMP Wed May 23
                              22:47:07 EDT 2007 x86_64 x86_64
Alert Count                   1
First Seen                    Sun 03 Jun 2007 05:29:40 AM EDT
Last Seen                     Sun 03 Jun 2007 05:29:40 AM EDT
Local ID                      5f8c7f0f-164f-4d51-b379-5c78a8b3c1f6
Line Numbers                  

Raw Audit Messages            

avc: denied { read } for comm="cat" dev=sda1 egid=0 euid=0 exe="/bin/cat" exit=3
fsgid=0 fsuid=0 gid=0 items=0 name="log.smbd" pid=30280
scontext=system_u:system_r:logwatch_t:s0 sgid=0
subj=system_u:system_r:logwatch_t:s0 suid=0 tclass=file
tcontext=system_u:object_r:samba_share_t:s0 tty=(none) uid=0
Comment 1 Alvin Thompson 2007-06-03 14:33:07 EDT
whoops.  first 2 summaries here:

SELinux is preventing 0logwatch (logwatch_t) "read" to samba (samba_share_t).

SELinux is preventing 0logwatch (logwatch_t) "getattr" to
/var/log/samba/log.europa (samba_share_t).
Comment 2 Daniel Walsh 2007-06-04 13:50:52 EDT
Fixed in selinux-policy-2.6.4-13.fc7
Comment 3 Daniel Walsh 2007-08-22 10:09:27 EDT
Closing as fixes are in the current release

Note You need to log in before you can comment on or make changes to this bug.